5

Can I get help installing aircrack-ng-1.2-beta3/aircrackng-1.1 in a detailed form? Im using Ubuntu 14.04.

4

As mentioned in the answer by BillGates, Aircrack-ng 1.1 is in the repos.

To install 1.2-beta3, you need to download the source:

wget http://download.aircrack-ng.org/aircrack-ng-1.2-beta3.tar.gz

Extract it:

tar xzf aircrack-ng-1.2-beta3.tar.gz

Change into the directory:

cd aircrack-ng-1.2-beta3

Make sure you have the build-essentials package installed to be able to compile programs. Then start compiling:

make

You might encounter some missing libraries along the way, for example you might see something like this:

common.mak:85: *** Cannot find development files for any supported version of libnl. install either libnl1 or libnl3..  Stop.

To solve these errors, install all missing development libraries, for example, libnl-3-dev for this one.

When it's done, you can run Aircrack from this directory or install it system-wide:

sudo make install
  • 4
    Seems somme libraries are needed, in my case : sudo apt-get install libnl-3-dev libnl-genl-3-dev libssl-dev – Jean-Christophe Meillaud Sep 15 '14 at 15:47
4

Aircrack-ng 1.1 is in the official Ubuntu Repository

Open a terminal by pressing Ctrl+Alt+ T

Then copy and paste the following command in the terminal.

Then press Enter.

sudo apt-get install aircrack-ng

Edit :

To resolve your problem, run a update before installation.

sudo apt-get update
  • That's one of the many commands that I tried looks like aircrack is no longer in the universal reposotories. – user298130 Jul 11 '14 at 18:16
  • Sorry and thanks for the help it did work looks like i tried more complicated codes. – user298130 Jul 11 '14 at 18:18
  • @user298130 welcome. – user308564 Jul 11 '14 at 18:20
  • Ok so now that ive installed it i cant seem to find an icon or anything to run the program any suggestions? – user298130 Jul 11 '14 at 18:23
4

I formatted my computer and obviously I had to reinstall all programs. When installed aircrack-ng again, I realized that there are more dependencies to install, some are suggestions and others are installed by default.

sudo su

enter your password, then install all dependencies, Here the list

apt-get install build-essential libssl-dev libnl-3-dev libnl-genl-3-dev
dpkg-dev g++ g++-4.8 libc-dev-bin libc6-dev libstdc++-4.8-dev zlib1g-dev
debian-keyring g++-multilib g++-4.8-multilib gcc-4.8-doc libstdc++6-4.8-dbg
glibc-doc libstdc++-4.8-doc libalgorithm-merge-perl libssl-doc 
libalgorithm-diff-xs-perl

after that, update your system

apt-get update

when this install is done you can start the aircrack install, like this

wget http://download.aircrack-ng.org/aircrack-ng-1.2-rc4.tar.gz
tar -zxvf aircrack-ng-1.2-rc4.tar.gz
cd aircrack-ng-1.2-rc4
make
make install    

and you will get aircrack-ng up and running. Now the success is guaranteed

-1

To install Aircrack-ng 1.2 rc3-4 from the official Ubuntu Repository,

you have to install the source of wily, xenial, or yakkety

to check the current source list:

cat /etc/apt/sources.list

to add xenial source list:

cat >> /etc/apt/sources.list

in the new line copy and past the following line

deb http://archive.ubuntu.com/ubuntu xenial main restricted universe multiverse

then press on ctrl+J and ctrl+D, for new line and to finish editting

then update the repository

sudo apt-get update

then install aircreack-ng 1.2 rc3-4

apt-get install aircrack-ng
  • 1
    This a very bad way to add xenial repo. It is harmful if done on another ubuntu version. It is also harmful on Xenial. – Pilot6 Aug 13 '16 at 14:20
  • you can remove the repo after installing aircrack-ng – Nightcap79 Aug 13 '16 at 14:26

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.